# Container environments for Forgejo Actions

Many actions developers are targeting GitHub Actions and assume that Node.js
is available by default. This is not the case in Forgejo Actions, and we need
to add Node.js to community provided images explicitly.

This repo contains Dockerfile for images used by TrueCloudLab.

Images are published to [our registry](https://git.frostfs.info/TrueCloudLab/-/packages/container/env/versions)

## Modifying container images

Prepare a pull request with a modified or entirely new Dockerfile.
The image will get built and published after PR is merged to master.

## Requirements

Images for Forgejo Actions must contain:

- Node.js
- Git
